> ## Documentation Index
> Fetch the complete documentation index at: https://docs.julep.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Status



## OpenAPI

````yaml https://api.julep.ai/api/openapi.json get /jobs/{job_id}
openapi: 3.1.0
info:
  title: Julep Agents API
  description: API for Julep Agents
  termsOfService: https://www.julep.ai/terms
  contact:
    name: Julep
    url: https://www.julep.ai/
    email: developers@julep.ai
  version: 0.4.0
servers:
  - url: /api
security: []
paths:
  /jobs/{job_id}:
    get:
      tags:
        - jobs
      summary: Get Job Status
      operationId: get_job_status_jobs__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    JobStatus:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          readOnly: true
        created_at:
          type: string
          format: date-time
          title: Created At
          readOnly: true
        updated_at:
          type: string
          format: date-time
          title: Updated At
          readOnly: true
        name:
          type: string
          maxLength: 120
          pattern: >-
            ^[\p{L}\p{Nl}\p{Pattern_Syntax}\p{Pattern_White_Space}]+[\p{ID_Start}\p{Mn}\p{Mc}\p{Nd}\p{Pc}\p{Pattern_Syntax}\p{Pattern_White_Space}]*$
          title: Name
          default: ''
        reason:
          type: string
          title: Reason
          default: ''
        has_progress:
          type: boolean
          title: Has Progress
          default: false
        progress:
          type: number
          maximum: 100
          minimum: 0
          title: Progress
          default: 0
        state:
          type: string
          enum:
            - pending
            - in_progress
            - retrying
            - succeeded
            - aborted
            - failed
            - unknown
          title: State
          default: pending
      type: object
      required:
        - id
        - created_at
        - updated_at
      title: JobStatus
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````